set tmsg(demo)                 "All adjustable parameters are grouped by function\n and are hidden under associated indicator \n -to get access to them :"
set tmsg(demo_M)                 "Click on the BORDER of associated Indicator"
set tmsg(demo_M1)                " -to activate editable prameter :"
set tmsg(demo_M2)                " use Click"
set tmsg(demo_B)                 " Hit corresponding key on the keyboard "

set tmsg(demo_again)           "Do not show this again"
set tmsg(exit_demo)            "Exit Demo"

set tmsg(offline_when_connect) "Disconnect Com cable !"
set tmsg(Connected)            "Connected"
set tmsg(On-line)              "On-line"
set tmsg(Off-line)             "Off-line"

set tmsg(zast)          "Logo"
set tmsg(zast_yes)     "to show"
set tmsg(zast_no)      " skip"

set tmsg(resising)     "     Wait please!     \n now the system adopts screens" 

set tmsg(Cant_read_Z)    " Can't read Z "
set tmsg(fatal_error)    " Fatal error !\nyou should restart auto"
 
 set tmsg(cont)     "Continue"
 set tmsg(rpt)      "Repete"
 set tmsg(rpt-1)    "Retry"
 set tmsg(rdkt)     "Reject"
 set tmsg(fin)      "Finish"
 set tmsg(stop)     "Stop"
 set tmsg(wr)       "Write"
 set tmsg(test)     "Test"
 set tmsg(fast)     "To finish"
 set tmsg(cancel)   "Cancel"
 set tmsg(close)    "Close"


# ----autocheck Pannel ----------------------------------------------------------

set tmsg(achk_mode_sel)            "Autocheck mode selector"

set tmsg(Prep_to_autochk)           "Connect Gas controller to PC port & start engine on petrol"

set tmsg(fcfg_bad)                  "  You configuration file was lost or corrupted \nNew config file was created, check settings, please"
set tmsg(wait_connect)              "Searching for Connection "
set tmsg(Com_not_found)             "Com is not  found  or busy"
set tmsg(read_param)                "Parameters  reading"
set tmsg(read_curv)                 "Curves  reading"

     set hmsg(auto_chk_mode)   "To change AutoCheck mode"
set tmsg(Auto_ChkCfg_1)        "Do Chech"
set tmsg(Auto_ChkCfg_2)        "Automatic"
set tmsg(Auto_ChkCfg_3)        "Stupid steps"

set tmsg(step)                          " Step N"
set tmsg(enter_cyl)                   "Select cylinders quantity"
set tmsg(enter_Krpm)               "Enter K_rpm factor"
  set tmsg(stupid_Krpm)            "Krpm - the quantity of cylinders connected to one coil \n with proper Krpm shown RPM coincide with actual"
set tmsg(enter_Tred)                 "Enter transition temperature (\u00B0\u0043)"

set tmsg(stupid_Clbr)                " One can start Calibration \n     now\n  (or Exit to Panno)"

set tmsg(wr_err)                      "Writing Error"

set tmsg(next)                         "Next"

set tmsg(Auto_Chk_complete)    "Turn to the\n   Panno   "

set tmsg(repeat_autochk)        "Repeat AutoCheck"
set tmsg(cancel_autochk)        "Cancel AutoCheck"
set tmsg(next_auto)                "Next  Auto"

set tmsg(search_COM)             "Connecting"
set tmsg(exit)                   "   Exit   "

# - ---- Auto Checking ------------
        set Lmsg(do_after_Mem_er_clear)    "Yoy should Exit the Z_Up \n then turn off the car \nand after the indication LEDs\nwill go out, restart car + Z_Up\n    Exit now ?"
	  set Lmsg(do_with_err_0)            "Jump to Panno\n  to See Warnings"
        set Lmsg(do_with_err_1)            "Clear Warnings\n  and Continue"
        set tmsg(Regulate)                 "Regulate"
        set Lmsg(chk_onConnect)            "Select parameters to check during connection"
        set Lmsg(AftAChk)                  "After connection starts AutoCheck \n and if all OK starts  Calibration"
        set tmsg(No_LAchk)                 "to chek \u03BB"
        set Lmsg(Steps)                    "Step by step configuration & then Calibration"
        set tmsg(Accept)                   "Accept"
        set tmsg(AutoCheck)                "AutoCheck"
        set tmsg(to_Start)                 "to Start in :"
        set tmsg(todo_with_err)            "Make Your Choise !"

set tmsg(Are_errors)               " Warnings was registered........"
        set tmsg(see)                        "See"
set tmsg(clear)                     "Clear"

set tmsg(NO_rpm)                     "RPM signal ..not found .."
set tmsg(AChk_start)                 "AutoCheck in progress   .....  "
set tmsg(AChk_rpm)                   " RPM signal.."
set tmsg(AChk_inj)                   " Injectors.."
set tmsg(AChk_P_T)                   "Searching for sensors  "
set tmsg(AChk_L)                     "Searching for sensors....\u03BB-probes...."
set tmsg(AChk_end)                   "Autocheck is done"

set tmsg(achk_clbr)                  "are main parameters \n detected corectly?"
set tmsg(achk_clb_inj)               "select Injectors"

set tmsg(1c_uncorrect)               "1-st cylinder's data are uncorrect"
set tmsg(rpm_bad)                    " Krpm - missed - Autocheck imposible"
set tmsg(cyl)                          "cylinders"
set tmsg(Parallel)                     "Parallel"
set tmsg(Sequential)                   "Sequential"
set tmsg(Combi)                        "undefined"

        set tmsg(cyl)                  "cyl"
# ----------- Pressure ---------------
set tmsg(Pr-12_NC)                  "Pressure sensors are not connected"
set tmsg(V_NO)                      "Can't recognize Vacuum sensor"
set tmsg(Pr_NO)                     "Can't recognize Pressure sensor"
set tmsg(V_big)                     "Vacuum seems too big"
set tmsg(Pr_big)                     "Pressure seems too big"
set tmsg(Vc_lo)                      "Vacuum is too smal"
set tmsg(Pr_lo)                      "Pressure is too small"
set tmsg(Vc-??)                      "Vacuum sensor - some problems.."
set tmsg(Pr-??)                      "Pressure sensor - some problems.."
set tmsg(Vc_ok)                      "Vacuum OK"
set tmsg(Pr_ok)                      "Pressure OK"
#------------------------------------------------------------------------

set tmsg(T_red_miss_l0)              "reducer  T sensor NOT found (open loop)"
set tmsg(T_red_miss_l1)              "reducer  Temperature is too small"
set tmsg(T_red_miss_h0)              "reducer  T sensor is shortened"
set tmsg(T_red_isnt)                     "reducer  T sensor NOT found"
set tmsg(T_red_ok)                       "reducer  T sensor OK"

set tmsg(T_gas_miss_l0)            "gas  T sensor NOT found (open loop)"
set tmsg(T_gas_miss_l1)            "gas Temperature is too small"
set tmsg(T_gas_miss_h0)            "gas T sensor is shortened"
set tmsg(T_gas_ok)                     "gas  T sensor OK"

 set tmsg(ach_undf)                  "Not found..."
set tmsg(notsure)                       "possible problems"
set tmsg(OK)                               " OK "

set tmsg(Lambd)                     "\u03BB probe"

 set tmsg(AChk_sh_mnt)              " Show Mount "
#-------Pannel---------------
 set tmsg(param)                        "Parameters"
 set tmsg(panel)                        "Panno"
 set tmsg(calibr)                       "Calibration"
 set tmsg(tau_clbr)                      "t"
 set tmsg(P_clbr)                        "P"
 set tmsg(curves)                       "Curves"
 set tmsg(mount)                        "Info"                    
 set tmsg(ready)                        "Ready"

 set tmsg(param)                        "Parameters"

        set tmsg(list)          "list"
        set tmsg(under)         "under"
	set Lmsg(RstProg)       "Yoy should Restart the Program\n  Exit now ?"
        set tmsg(Return)        "Return"
        set tmsg(signal)        "signal"
        set tmsg(Termo)         "Termo"
        set tmsg(gas)           "gas"
        set tmsg(red)           "red"
        set tmsg(Presure)       "Pressure"
        set tmsg(Sensor)        "Sensor"
        set tmsg(Level)         "Level"
        set tmsg(V_corr.)       "V corr."
        set tmsg(Inj_Diam)      "Inj Diam"
        set tmsg(Power)         "Power"
        set tmsg(res)           " res "
        set tmsg(Pclbr)         "Pclbr"
        set tmsg(Pvac)           "Pvac"
        set tmsg(red.)           "red"
        set tmsg(gas.)           "gas"

#----- Config -----------------------
 set tmsg(Z_Up-cfg)                    "Z-up config"
 set tmsg(themes_cfg)                  "Thems"
 set tmsg(fon_cfg)                     "Background"
 set tmsg(Anmt_cfg)                    "animate"
 set tmsg(Anmt_yes)                    "yes"
 set tmsg(Anmt_no)                      "No"
 set tmsg(L_cfg)                       "\u03BB-probe"
 set tmsg(LLed_cfg)                     "REG"
 set tmsg(LRecord_cfg)                  "Recorder"

 set tmsg(Light)                        "Light"
 #------Level--------
 set tmsg(sensor)                     "Sensor"
 set hmsg(level)                      "  Select installed level sensor  from the list  \nor choose user type to adjust current sensor...."
 set tmsg(lev_userL)                   "user Lo"
 set tmsg(lev_userH)                   "user Hi"

 set tmsg(lev_No)                     "NC"

# ---- Termom ------
 set tmsg(transition)                  "Transition"
 
# ---- Tachom ----
 set tmsg(back_to_B)                   "Return to Petrol"
 set tmsg(withCut-off)                 "With cut-off"
 set tmsg(rpm_signal)                  "RPM signal"            
 set tmsg(rpm_signals)                 "Coil 12 V    5 V    No RPM"
 set tmsg(back_to_B_Eng)               "Return: min"

# --- Manom -------
 set  tmsg(P_No)                       "NC"
 set  tmsg(P_reserv)                   "reserv"
 set tmsg(P_clbr_val)                  "Calibration Pressure"
 set tmsg(Psensor)                     "Pressure sensor"
 set tmsg(P_lckg)                      "Leackage"
 set tmsg(P_min)                       "Return"

# --- Volts -----
 set tmsg(U)                             "    V   \n Correction"
 
# --- Lambda ----
 set tmsg(probe)                     "probe"
 set tmsg(One_Bank)                  "One Bank" 
 set tmsg(Two_Banks)                 "Two Banks"
 set tmsg(L_probe)                   "\u03BB probe type"
 set tmsg(first_L)                   "Bank 1,2 sensor 1"
 set tmsg(second_L)                  "Bank 1,2 sensor 2"
 set tmsg(L2_Emu)                    "\u03BB-2 probe Emulation"
 set tmsg(Direct_L)                  "Direct connection to \u03BB"
 set tmsg(OBD_L)                     "to Display \u03BB from ELM 327"

 set tmsg(Adj)                             "Adj"
# ---- Stolbics -----------
 set tmsg(G)                               "Gas"
 set tmsg(B)                               "Petrol"
 set tmsg(All)                              " All "
 
# ---- Motor ------
set tmsg(sequent)                       "Sequent"
set tmsg(parallel)                      "Parallel"
set tmsg(combi)                         "Combi 13-42"

 set tmsg(sensors)                 "Sensors"
 set tmsg(dflt)                    "Defaults"
set Lmsg(Dflt)                    "Load defaults ?"
set Lmsg(Dflt_Wrtg)               "defaults loading"
 set tmsg(fin_tun)                   "Masters"
 set tmsg(n_cyls)                    "Cylinders"
 set tmsg(Krpm)                      "Krpm"
 set tmsg(kWt)                        "power kWt"
 set tmsg(nozzle_Re)             "installed nozzle -mm"

 set Lmsg(Dflt)                    "Load defaults ?"
 set Lmsg(Dflt_Wrtg)                "Defaults are loading"

 set tmsg(other)                        "other"

 set tmsg(more)                 "more Detailed"

 set tmsg(tauBmin)              "min P-imp \[ms\]"
 set tmsg(tauGmin)              "min G-imp \[ms\]"
 set tmsg(shimPlato)             "PWM plato \[ms\]"
 set tmsg(transitDly)                "transit. \[ms\]"
 set tmsg(kikDly)                "kik out \[s\]"
 set tmsg(cutDly)                "post cutoff \[s\]"
 set tmsg(kT_red-g)               "kT \[0(gas) - 1(red)\]"
 set tmsg(rpmCutoff_V)           "cut-off Vacuum"
 set tmsg(pminDly)               "Pmin delay \[s\]"
 set tmsg(heatTime)              "Inj Heat Time \[sec\]"
 set tmsg(flushlubFlow)          "FlushLub Doze"

 set tmsg(separate_reg)          "Separate regulation"

set tmsg(Zerroing_Sensors)   "Sensors zeroing"
set tmsg(zeroing)            "To set AP pressure sensors zero:\n auto should be turned to petrol, pressure sensor diconnected from rubber hoses,\n then vacuum hose should be closed.....\n when all theese done, press Do.\nThen from Curves pannel make shure that dP & V are nearly 0"
     set tmsg(zeroing-2)               "The car shoul be  turned to Petrol"
     set tmsg(zeroing-3)               " The Pressure too big to be corrected \ncheck are the rubber hoses disconnected ?"   
set tmsg(gTsens)             "x1 gas T sensors x2"
set tmsg(AP_zero)            "Set AP zero"
set tmsg(DP_zero)            "Set DP zero"

#--------- Dats ------------
set tmsg(DateTime) "Dates-Times"
set tmsg(rev)       "revision N"
set tmsg(d-m-y)     "dd - mm - y"
set tmsg(Date_made) "Date of production"
set tmsg(Date_inst) "Date of installiation"
set tmsg(Date_lchk) "Date of service"

#----------- Errors ---------------
set tmsg(G_valve_err)                  "Valve"
set tmsg(inj_relay_err)                "Force"
set tmsg(Mem_err)                      "Memo"
set tmsg(P_lckg_err)                   "Leackage"
set tmsg(P_lolo_err)                 "P too low"
set tmsg(T_lolo_err)                 "T too low"
set tmsg(P0_sens_err)                "Pressure sensor"
set tmsg(P1_sens_err)                "Vacuum sensor"
set tmsg(Tred_sens_err)              "T reduct sensor"
set tmsg(Tgas_sens_err)              "T gas sensor"
set tmsg(Lev_sens_err)               "Level sensor"
set tmsg(Fus_err)                    "Main fuse"
set tmsg(emu1_err)                   "Emulation Ch1"
set tmsg(emu2_err)                   "Emulation Ch2"
set tmsg(emu3_err)                   "Emulation Ch3"
set tmsg(emu4_err)                   "Emulation Ch4"
set tmsg(emu5_err)                   "Emulation Ch5"
set tmsg(emu6_err)                   "Emulation Ch6"
set tmsg(emu7_err)                   "Emulation Ch7"
set tmsg(emu8_err)                   "Emulation Ch8"
set tmsg(ch1_err)                    "Output Ch1"
set tmsg(ch2_err)                    "Output Ch2"
set tmsg(ch3_err)                    "Output Ch3"
set tmsg(ch4_err)                    "Output Ch4"
set tmsg(ch5_err)                    "Output Ch5"
set tmsg(ch6_err)                    "Output Ch6"
set tmsg(ch7_err)                    "Output Ch7"
set tmsg(ch8_err)                    "Output Ch8"

set tmsg(Clear)                      "Clear"
#----------Clbr_T -----------------
 set Lmsg(no_Z)                  " You should be connected to Z "

 set tmsg(clbr_onB)              " on P"
 set tmsg(clbr_onG)              " on G"

 set tmsg(clbr_Clbr_Sets)      "Calibration settings"
 set tmsg(clbr_strt)                "Start Calibration"
 set tmsg(clbr_exit)                "Exit Calibration"
 set tmsg(clbr_mtd)                "Calibration strategy" 
 set tmsg(clbr_hello)              " If you don't shure in what you want \n     Please Do Nothing"
 set tmsg(clbr_cycl_avr)        "Cycles to average  (per cylinder)"
 set tmsg(clbr_accur)             "Accuracy \[ms\]"
 set tmsg(clbr_rej_dif)            "Diff to reject"
 set tmsg(clbr_n_att)              "Attempts quantity"
 set tmsg(clbr_n_float)           "float load to skip (cycles)"

 set tmsg(clbr_T_lolo)            "Temperature is too low.."
 set tmsg(clbr_inprgrs)           "Calibration in progress...."
 set tmsg(clbr_cant_Wr_par)  "Failed to Write calibr. P-T"
  set tmsg(clbr_cant)               "Can't start calibration "  
 set tmsg(clbr_cant_N)          "Failed to calibrate cyl N" 
 set tmsg(clbr_cant_All)          "  Calibration failed \n attempts number expired"    
 set tmsg(clbr_cyl)                 "Calibration of cyl N"
 set tmsg(clbr_ended-)             "Increase Inj Inlets  !!!"
 set tmsg(clbr_ended+)            "Decrease Inj Inlets  !!!"
 set tmsg(clbr_endedOK)         "Calibration succeded"
 set tmsg(clbr_fin_error)          "Error  - please reset  Z"
 set tmsg(clbr_error)               "Error  - restart Calibration"
 set tmsg(clbr_float)               " !!! Floating load !!!"

 set Lmsg(clbr_prep)               " Prepare for Calibration"

 #------------ Adjusting --------------------------------
  	set tmsg(Disabled)           "Disabled"
  set tmsg(Adj_Chk_delt)       "Chech results !"
  set tmsg(Adj_)               "Injectors Adjustment"
  set tmsg(Adj_Durat)          " Petrol imp duration \[ms \]" 
  set tmsg(Adj_Res)            "Tolerance"
  set tmsg(Adj_corr)           "Injector corrrection \% "
  set tmsg(Adj_corr_cl)        "Clear"
  set tmsg(Adj_Chk)            "   To  \nCheck"
  set tmsg(Adj_B_inj)          " P-inj"
  set tmsg(Adj_G_inj)          " G-inj" 
  set tmsg(Adj_aver_time)      " Averaging time  \[sec\]"
  set tmsg(Adj_Er)             "Error !!"
  set tmsg(Errors)             "Registered warnings"
  set tmsg(Master's)           "Masters"  

 #------------ Curves-------------------------------------------------------------
        set tmsg(Start_record)  "  Start record  "
        set tmsg(Stop_record)   "  Stop record  "
	set tmsg(oneCurve)      "  one Curve for all RPMs  " 
        set tmsg(all)           "all"
        set tmsg(fltr)          "fltr"
        set tmsg(parametr)      "parametr"
        

 set Lmsg(Rd_Curves)            "Reading"
 set Lmsg(Curv_Wrtg)             "writting"
 set Lmsg(file_is)               "File already exists, overwrite ?" 
 set Lmsg(cant_save)             "You can't use SAVE file"
 set Lmsg(chk_curve)             "Select proper Curve"

 set tmsg(save_as)                "Save as..."
 set tmsg(rd_Curv)                "read Curves file"
 set tmsg(rd_MAP)                 "read MAP file"
 set tmsg(wr_F_err)               " File writing  Error !"
 set tmsg(rd_Ferr)                  "File reading Error !"
 set tmsg(red)                       "red"
 set tmsg(gas)                       "gas"
 
 set tmsg(Ln_to_ed)             "Lines to edit"
 set tmsg(Ed_menu)              "Edit menu"
 set tmsg(sh_L)                     "show Bank 1"
 set tmsg(sh_R)                     "show Bank 2"
 set tmsg(sh_one)                 "show one editable"
 set tmsg(smooth)                 "smooth"
 set tmsg(sh_predct)             "show predicted"

 set tmsg(trnsf_meth)           "Edition method"
 set tmsg(Bank)                 " Bank "

 set tmsg(One)                  "One"

 set tmsg(neg_slope)             " Negative slopes are prohibited !"
#------- Ready ---------
 set tmsg(finish)           " Are You really finished \n  with this car "
 set tmsg(date_cleared)     "Datas cleared"
 set tmsg(date_problem)     "Date ... write error !!!"
 set tmsg(date_inst)        "Date of installation was writen"
 set tmsg(date_serv)        "Date of service was writen"

#------Mount-------------
set tmsg(sch)    "        Wiring diagram for the car with:\n        cylinders engine "
set tmsg(bank1)  "Bank 1"
set tmsg(bank2)  "Bank 2"
set tmsg(manfld) "To inlet\n manifold"
set tmsg(EBU)    "Main auto EBU"
set tmsg(reduct) "Reducer"
set tmsg(multic) "Multivalve"

set tmsg(table_of_cont)    "Table of cont"
set tmsg(M_achk)           "Autocheck"
set tmsg(M_Pano)           "Panno"
set tmsg(M_Level)          "Level"
set tmsg(M_Temper)         "temperat"
set tmsg(M_Oboroty)        "RPMs"
set tmsg(M_Presure)        "Pressure"
set tmsg(M_Uoltage)        "Voltage"
set tmsg(M_TauBG)          "Injection"
set tmsg(M_Motor)          "Engine"
set tmsg(M_err)            "Diagnost"
set tmsg(M_Inj)            "Injectors"
set tmsg(M_Chk)          "Control"   
set tmsg(M_Test)         "Testing"
set tmsg(M_Adj)          "Adjustment"
set tmsg(M_Calibration)     "Calibration"
set tmsg(M_Mode-1)       "Method-1"
set tmsg(M_Mode-2)       "Method-2"
set tmsg(M_Mode-3)       "Method-3"
set tmsg(M_Curves)          "Curves Editor"
set tmsg(M_W-R_blocks)   "Block writing"
set tmsg(M_On-line)      "Online writing"
set tmsg(M_oboroty)      "RPM depend"
set tmsg(M_2x_side)      "V - type"
set tmsg(M_Oscill)          "Recorder"
set tmsg(M_Ready)           "Ready"
set tmsg(M_Examples)        "Examples"
set tmsg(M_Full_Auto)     "Automat"
set tmsg(M_Mannually)     "By hand"


set tmsg(text)             "Text"
set tmsg(video)            "Vidio"

set tmsg(sch_man)          "Explanation"


set tmsg(OBD_Clear)   "to Clear or Not to Clear?"
	
	set tmsg(Cleared)     "Cleared"

        set tmsg(Cylinders_?) "Cylinders ???"
        set tmsg(kWts?) "kWts or Horses ?"

        set tmsg(Baloon)     "Baloon"
        set tmsg(Filled)     "Filled"
        set tmsg(Reserv)      "Reserv"

        set tmsg(time_on_G)   "Operating on G (h)"
        set tmsg(time_on_B)   "Operating on P (h)"

#------------------------------- Helps --------------------------------------------
 set hmsg(on_line)                "Press to start the \"Z_Up nice\" program \n  in off-line mode   \n\(cable should be disconnected\)"
#----------------------------------------------------------------------------------
 set hmsg(ZUP_cfg)                "Z_Up Configuration menu"
 set hmsg(inj)                    "Press to open\nInjectors chechk pannel" 
 set hmsg(OBD-onof)               "Turn on OBD scanner"
 set hmsg(GB)                     "To toggle Gas-Petrol" 

 set hmsg(under_pannel)           "  Do mouse click   \nto open\\close parameter's pannel"

#------Level--------
 set hmsg(level_adj)              "Press to open \nLevel Adjustment Instruments"
 set hmsg(level)                  "Select installed level sensor  from the list"
 set hmsg(level_OK)               "Write updates to Z"
 set hmsg(level_res)              "Press to adjust reserve-level point"
 set hmsg(level_+)                "To increase value"
 set hmsg(level_-)                "To decrease value"

# ---- Termom ------
 set hmsg(Tgas_clbr_oval)         "Points to Gas temperature during the calibration"
 set hmsg(Tred_clbr_oval)         "Points to Reducer temperature during calibration"
 set hmsg(Ttransition_oval)       "Points to Reducer temperature to start Gas"
 
 set hmsg(T_clbr_val)             "Temperatures during the calibration    \nthey are updated automatically in a calibration procedure\nor can be set mannually"
 set hmsg(Tgas_clbr_val)          "Gas temperature during the calibration"
 set hmsg(Tred_clbr_val)          "Reducer temperature during calibration"
 set hmsg(T_transition)           "Reducer temperature allowing  transition to Gas"
 set hmsg(T_min)                  "Reducer temperature, below wich back transition\nto Petrol starts.\nAfter temperature rise up to transition point,\ncontroller will automatically turn-on Gas again"
 set hmsg(gas_fact)               "Gas temperature sensor influence factor"

# ---- Tachom ----
 set hmsg(rpm_BG)                 "Points to RPM when transition to Gas starts"
 set hmsg(rpm_to_G)               "Revlvs. when transition to Gas starts"
 set hmsg(back_to_B)              "When engine revs. goes outside selected range, the car will return to Petrol.\nThen, after they are inside the region\nit will automatically return to Gas "
 set hmsg(rpm_back_to_B_min)      "Specify the value of RPM, below wich the car \nwill be \"silently\" switched to Petrol\n \'0\' -means this feature is ommited"
 set hmsg(rpm_back_to_B_max)      "Specify the value of RPM, above wich the car \nwill be \"silently\" switched to Petrol\n \'0\' -means this feature is ommited"
 set hmsg(rpm_signal)             "You should select signal level, used as RPM source"
 set hmsg(rpm_cutoff)             "Select this option if the car has \"cut-off\"\n on ignition coils\n and set proper vacuum value \nfrom \"fine tune\" pannel"

# --- Manom -------
 set hmsg(P_clbr_oval)            "Points to Calibration Pressure"
 set hmsg(P_clbr_val)             "Dif gas Pressure at the calibration moment\nit is updated automatically in a calibration procedure\nor can be selected mannually \nshould be between 0,6 and 1,7 Bar"
 set hmsg(Psens_types)            " Pressure  Sensor type \nAP-Z - Absolute pressure dowble sensor \nDP-Z Differential pressure sensor\nPv+MAP abs.pressure sensor + MAP\n not connected..........."
 set hmsg(P_lckg)                 "If during leackage test procedure, it will be registered that pressure\n falls more than signed value, the situation is interpreted as a leackage.\nThis will lead to transition to Petrol & Alarm signal"  
 set hmsg(P_min)                  "If current pressure falls below specified value\nthis will lead to transition to Petrol"  
 set hmsg(P_fact)                 "The Influence Factor with wich\n Z takes into account change of pressure"   
 set hmsg(P_zero)                 "Press to start procedure pressure Sensor\n (AP-Z) zerro adjustment"

 # --- Volts -----
 set hmsg(U)                      "If this option is selected, Z will make \ncorrection on  voltage change\nrelative to the voltage during calibration"

# --- Lambda ----
 
# ---- Stolbics -----------
 set hmsg(B)                              "Petrol impulses duration - ms "
 set hmsg(G)                               "Gas impulses duration - ms "
 set hmsg(shim_plato)                " Steady part of gas injectors impuls - ms"
 set hmsg(shim_GB_delay)             " Gas to Petrol impulses delay, determins min registerable/npetrol impulses duration (smallest impulses are ignored by Z)"

# ---- Motor ------
 set hmsg(Show_Eng_param)        " Mouse click opens Engine\n parameters settings "

 set hmsg(fintun)                "Special parameters"
 set hmsg(inj_calc)              "Nozzles calculator"
 set hmsg(dflt)                  "Return to defaul settings"

 set hmsg(cyl)                   "Select cylinder's quantity"  
 set hmsg(Krpm)                  "Select the quantity of cylinders,\n  ignited by one coil"
     
 set hmsg(kWt)                   "Type  engine power value (in kwt) to obtain \npredicted nozzle value"
 set hmsg(nozzle_Re)             "Really installed nozzle"
 set hmsg(separate_reg)          "When selected, allows separate regulation\n of V-type engines with 2 \u03BB probes"
 set hmsg(injector)              "Select Injectors installed"
 set hmsg(inj_mode)              "Select injection mode"
 set hmsg(fuel)                  " Type of fuel    \nbi-fuel means capability\nto start car directly on Gas !"

#--------- Dates ------------
 set hmsg(dates)                  "Dates - Times"

#----------- Errors ---------------
 set hmsg(GErr)                   "Press to open Z Errors"

#----------Clbr_T -----------------
 set hmsg(ClbrStart)            "Press this buton to Start/Stop calibration"
 set hmsg(clbr_mtd-1)           "Fast calibration\n without results check"
 set hmsg(clbr_mtd-2)           "Calibration with ability to repeat\navoiding uncorrectness deaw to periodical \ncoller turnon with\n and calibration results check in"
 set hmsg(clbr_mtd-3)           "Calibration with sequential cylinder turning,\n with repeates and checking by OBD"

 set hmsg(clbr_sets)            "Press to open Calibration \nparameters edit panel"
 set hmsg(clbr_cycl_avr)        "The number of  P-impulses, recieved from Z (one pass) \n   (used to average to obtain mean value"
 set hmsg(clbr_accur)             "The Difference between mean P-impulses duration \nobtained at the beginning of Calibration \n and after each calibration cycle"
 set hmsg(clbr_rej_dif)            "Registered unwanted increase in P-impulses duration \n....when some  load, like cooler appears \n Real value is thise value, devided by N cyl"
 set hmsg(clbr_n_att)              "The maximum number of passes to obtain given accuracy \n    in every calibration cycle (..each cylinder calibration..) "
 set hmsg(clbr_n_float)           "The number of passes, wich can be regected from \n measuring, when float load detected"

 #------------ Adjusting --------------------------------
 set hmsg(Adj_Durat)          "Average impulses duration\n in a mode \"all on petrol (gas)\""
 set hmsg(Adj_Res)            "Average impulses duration\n in a mode \"all on petrol (gas)\", but for one"
 set hmsg(Adj_corr_cl)        "Press to Clear all injectors corrections"
 set tmsg(Errors)             "Registered warnings"
 set tmsg(Master's)           "Masters"  
 #------------ Curves-------------------------------------------------------------
 set hmsg(OBD_reg)              " To turnon adjustment  \nby means of OBD information"
 set hmsg(MAP_reg)              "MAP data gathering\n for manual correction" 
 set hmsg(OBD_MAP_Cfg)          "OBD or MAP data polling \nconfiguration panel"

 set hmsg(rd_from_Z)            "To read curves from Z"
 set hmsg(rd_from_F)            "To read curves from file"
 set hmsg(save_to_F)            "Rewrite curves to the file"
 set hmsg(load_to_Z)            "Load curves to Z"

 set hmsg(3D)                   "Select thise option\nif you need in 3D" 
 set hmsg(1000)                 "Shows  1000-rpm curve"
 set hmsg(2000)                 "Shows  2000-rpm curve"
 set hmsg(3000)                 "Shows  3000-rpm curve"
 set hmsg(4000)                 "Shows  4000-rpm curve"
 set hmsg(5000)                 "Shows  5000-rpm curve"

 set hmsg(1000e)                "Selects  1000-rpm curve to edit"
 set hmsg(2000e)                "Selects  2000-rpm curve to edit"
 set hmsg(3000e)                "Selects  3000-rpm curve to edit"
 set hmsg(4000e)                "Selects  4000-rpm curve to edit"
 set hmsg(5000e)                "Selects  5000-rpm curve to edit"

 set hmsg(L-bank)               "  Show/edit \nL-bank curves"
 set hmsg(R-bank)               "  Show/edit \nR-bank curves"

 set hmsg(all_imp)              "To show \nall impulses"
 
 set hmsg(move_one)             "To move selected points"
 set hmsg(only_all)             "To move all points (whole curve)"
 set hmsg(slope_u_d)            "To slope curve relative selected point"
 set hmsg(drawL)                "to Draw \u03BB"
 set hmsg(drawP)                "to Draw L"

#------- Ready ---------

#------Mount-------------
#---------------- MAPs ---------------
set tmsg(MAP_fill_Petrol)       "MAP table on Petrol is filled:"
set tmsg(MAP_fill_Gas)          "MAP table on Gas is filled:"
